<!DOCTYPE html>
<html>

    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf8">

        <meta name="viewport" content="user-scalable=no" />
        <meta name="apple-mobile-web-app-capable" content="yes">
        <meta name="apple-touch-fullscreen" content="yes">

        <link href="index.css" rel="stylesheet" />

        <script src="../../build/mobilizing.bundle.js"></script>
        <script src="script.js"></script>

        <script>
            // We need to run the script in a Mobilizing Context
            // Build a simple function to instantiate the Context,
            // instantiate the user script,
            // add it as a component to the Context,
            // and build a runner with it.
            async function run() {
                const context = new Mobilizing.Context();
                const script = new Script();
                context.addComponent(script);

                //check the script for the need of user interaction
                if (script.needsUserInteraction) {
                    context.userInteractionDone.setup();
                    await context.userInteractionDone.promise;
                }
                const runner = new Mobilizing.Runner({ context });
            }

            // Then run it
            window.addEventListener("load", () => {
                run();
            });

        </script>

    </head>

    <body>
    </body>

</html>